Subject: Re: bug#44638: [PATCH 1/2] autorevert: don't reuse existing watch descriptors

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Dec 2020 19:13:27 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 02 Dec 2020 18:05:35 +0100
> 
> > auto-revert-test07-auto-revert-several-buffers succeeds.  Running the
> > entire test finds 2 failures:
> >
> >   2 unexpected results:
> >      FAILED  auto-revert-test04-auto-revert-mode-dired
> >      FAILED  auto-revert-test05-global-notify
> >
> > Let me know if I can help you more.
> 
> Well, if the same errors happen also w/o that patch, I believe we are
> safe to install the patch in master.

Yes, I think those tests always failed for me.

> In general, I need to debug what happens, the ert reports are not
> sufficient (for me) to understand what's going wrong. Do you know how to
> get an MS Windows VM instance? I would be even willing to pay for a
> license.

Sorry, I don't know.  maybe someone else here does.